Skip to main content
Use these operations to interact with custom metrics in Cortex Eng Intelligence.

Required permissions

The permission your API key needs depends on the operation:
  • To list or retrieve custom metric definitions, your API key must have the View Eng Intelligence permission. Draft metrics also require the Configure Eng Intelligence custom metrics permission.
  • To create, update, or delete custom metric definitions, your API key must have the Configure Eng Intelligence custom metrics permission.
  • To retrieve, add, or delete data points, your API key must have the Manage Eng Intelligence custom metrics data via API permission.

Operations

List custom metric definitions

GET /api/v1/eng-intel/custom-metrics

Retrieve a custom metric definition

GET /api/v1/eng-intel/custom-metrics/{customMetricKey}

Create a custom metric definition

POST /api/v1/eng-intel/custom-metrics

Update a custom metric definition

PUT /api/v1/eng-intel/custom-metrics/{customMetricKey}

Delete a custom metric definition

DELETE /api/v1/eng-intel/custom-metrics/{customMetricKey}

Retrieve custom metrics data points

GET /api/v1/eng-intel/custom-metrics/{customMetricKey}/entity/{tagOrId}

Add custom metrics data point

POST /api/v1/eng-intel/custom-metrics/{customMetricKey}/entity/{tagOrId}

Add custom metrics data points in bulk

POST /api/v1/eng-intel/custom-metrics/{customMetricKey}/entity/{tagOrId}/bulk

Delete custom metrics data points

DELETE /api/v1/eng-intel/custom-metrics/{customMetricKey}/entity/{tagOrId}
Last modified on October 19, 2026